#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           audex
Version: 24.12.0
Release:        %mkrel %{rel}
Summary:        Audio ripper
Group:          Sound/Utilities
License:        BSD-3-Clause AND CC0-1.0 AND GPL-2.0-or-later AND GPL-3.0-or-later AND LGPL-2.0-or-later
URL:            https://apps.kde.org/audex/
Source:         https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# upstream patches 1->100

# Patches from branch 100->200:

# Patches from trunk 200->300

# Mageia Patches 300->400

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Qml)

BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6Completion)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Solid)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KCddb6)

BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libcdio_cdda)
BuildRequires:  pkgconfig(libcdio_paranoia)
BuildRequires:  gettext

# encoder backends
Recommends:     flac
Recommends:     lame
Recommends:     vorbis-tools

%description
Audex is an audio grabber tool for CD-ROM drives built with KDE Frameworks.

%files -f %{name}.lang
%doc README.md
%license LICENSES/*.txt
%{_kf6_bindir}/audex
%{_kf6_datadir}/solid/actions/audex-rip-audiocd.desktop
%{_kf6_datadir}/applications/org.kde.audex.desktop
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.audex.svg
%{_kf6_datadir}/audex/
%{_kf6_metainfodir}/org.kde.audex.appdata.xml

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name}


%changelog
* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123704
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116261
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2113952
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105447
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097310
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087513
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2084994
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073569
- New version 24.05.1

* Sun Jun 09 2024 daviddavid <daviddavid> 24.05.0-1.mga10
+ Revision: 2071505
- New version 24.05.0 (says hello audex to the kde-apps stack)

* Thu Jun 06 2024 daviddavid <daviddavid> 0.98-2.mga10
+ Revision: 2070243
- rebuild against Qt 6.6.2
- new version: 0.98
- port to Qt6/KF6
- revive audex for mga10

* Sat Dec 06 2014 bcornec <bcornec> 0.79-1.mga5
+ Revision: 801688
- Update to upstream 0.79

* Wed Oct 15 2014 umeabot <umeabot> 0.78-3.mga5
+ Revision: 742945
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.78-2.mga5
+ Revision: 678042
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 bcornec <bcornec> 0.78-1.mga5
+ Revision: 661823
- Updated to upstream 0.78

* Fri Oct 18 2013 umeabot <umeabot> 0.74b1-7.mga5
+ Revision: 502966
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.74b1-6.mga3
+ Revision: 346579
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 0.74b1-5.mga3
+ Revision: 307471
- update rpm group

* Sun Oct 14 2012 doktor5000 <doktor5000> 0.74b1-4.mga3
+ Revision: 305560
-fix cover lookup caused by API change with patch from Archlinux

* Tue Jul 03 2012 fwang <fwang> 0.74b1-3.mga3
+ Revision: 266904
- specify lang files

* Tue Jul 03 2012 fwang <fwang> 0.74b1-2.mga3
+ Revision: 266898
- fix build with latest gcc
- update br

* Mon Jan 31 2011 dmorgan <dmorgan> 0.74b1-1.mga1
+ Revision: 45305
- Fix install
- New version
- imported package audex


* Wed Oct 21 2009 Anne Nicolas <anne.nicolas@mandriva.com> 0.71b5-2mdv2010.0
+ Revision: 458547
- fix group

* Sat Jul 04 2009 Bruno Cornec <bcornec@mandriva.org> 0.71b5-1mdv2010.0
+ Revision: 392038
- Import audex 0.71b5
- create audex

